Bug 596026 - [abrt] crash in exaile-0.3.1.1-1.fc13: cover.py:51:pixbuf_from_data:TypeError: GdkPixbufLoader.write() argument 1 must be string or read-only buffer, not None
[abrt] crash in exaile-0.3.1.1-1.fc13: cover.py:51:pixbuf_from_data:TypeError...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: exaile (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
abrt_hash:695a40f7
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-26 03:16 EDT by datahal42
Modified: 2010-08-19 09:36 EDT (History)
3 users (show)

See Also:
Fixed In Version: exaile-0.3.2.0-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-07-20 18:49:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description datahal42 2010-05-26 03:16:55 EDT
abrt 1.1.0 detected a crash.

architecture: x86_64
cmdline: python /usr/lib/python2.6/site-packages/exaile/exaile.py --datadir=/usr/share/exaile/data --startgui
component: exaile
executable: /usr/lib/python2.6/site-packages/exaile/exaile.py
kernel: 2.6.33.4-95.fc13.x86_64
package: exaile-0.3.1.1-1.fc13
reason: cover.py:51:pixbuf_from_data:TypeError: GdkPixbufLoader.write() argument 1 must be string or read-only buffer, not None
release: Fedora release 13 (Goddard)

backtrace
-----
cover.py:51:pixbuf_from_data:TypeError: GdkPixbufLoader.write() argument 1 must be string or read-only buffer, not None

Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/cover.py", line 104, in _on_button_press
    self.show_cover()
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/cover.py", line 131, in show_cover
    cvr = pixbuf_from_data(c)
  File "/usr/lib/python2.6/site-packages/exaile/xlgui/cover.py", line 51, in pixbuf_from_data
    loader.write(data)
TypeError: GdkPixbufLoader.write() argument 1 must be string or read-only buffer, not None

Local variables in innermost frame:
scale: None
data: None
loader: <gtk.gdk.PixbufLoader object at 0x3936d70 (GdkPixbufLoader at 0x7ff760129380)>
Comment 1 Fedora Update System 2010-06-29 12:38:08 EDT
exaile-0.3.2.0-1.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13
Comment 2 Fedora Update System 2010-06-30 11:06:49 EDT
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update exaile'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/exaile-0.3.2.0-1.fc13
Comment 3 Fedora Update System 2010-07-20 18:48:00 EDT
exaile-0.3.2.0-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 datahal42 2010-08-19 09:36:48 EDT
okey guys fixed

Note You need to log in before you can comment on or make changes to this bug.